## ![Headphones Logo](https://github.com/rembo10/headphones/raw/master/data/images/headphoneslogo.png) Headphones

[![Build Status](https://travis-ci.org/rembo10/headphones.svg?branch=master)](https://travis-ci.org/rembo10/headphones)
[![Build Status](https://img.shields.io/travis/rembo10/headphones/develop.svg?label=develop%20branch%20build)](https://travis-ci.org/rembo10/headphones)

Headphones is an automated music downloader for NZB and Torrent, written in Python. It supports SABnzbd, NZBget, Transmission, µTorrent, Deluge and Blackhole.

## Support & Discuss
You are free to join the Headphones support community on IRC where you can ask questions, hang around and discuss anything related to HP.

1. Use any IRC client and connect to the Freenode server, `irc.freenode.net`.
2. Join the `#headphones` channel.

## Installation and Notes

* [Installation page](../../wiki/Installation) shows you how to install Headphones.
* [Usage guide](../../wiki/Usage-guide) introduces you to Headphones.
* [Troubleshooting page](../../wiki/TroubleShooting) in the wiki can help you with common problems.

**Issues** can be reported on the GitHub issue tracker considering these rules:

1. Analyze your log, you just might find the solution yourself!
2. You read the wiki and searched existing issues, but this is not solving your problem.
3. Post the issue with a clear title, description and the HP log and use [proper markdown syntax](https://help.github.com/articles/github-flavored-markdown) to structure your text (code/log in code blocks).
4. Close your issue when it's solved! If you found the solution yourself, please comment so that others benefit from it.

**Feature requests** can be reported on the GitHub issue tracker too:

1. Search for similar existing 'issues', feature requests can be recognized by the label 'Request'.
2. If a similar Request exists, post a comment (+1, or add a new idea to the existing request), otherwise you can create a new one.

If you **comply with these rules** you can [post your request/issue](http://github.com/rembo10/headphones/issues).

**Support** the project by implementing new features, solving support tickets and provide bug fixes.

## Screenshots

Homepage (Artist Overview):

![preview thumb](http://i.imgur.com/LZO9a.png)

One of the many settings pages:

![preview thumb](http://i.imgur.com/xcWNy.png)

It might even know you better than you know yourself:

![preview thumb](http://i.imgur.com/R7J0f.png)

Import Your Favorite Artists:

![preview thumb](http://i.imgur.com/6tZoC.png)

Search Results:

![preview thumb](http://i.imgur.com/rIV0P.png)

Artist Page with Bio & Album Overview:

![preview thumb](http://i.imgur.com/SSil1.png)

Album Page with track overview:

![preview thumb](http://i.imgur.com/kcjES.png)

## License
This is free software under the GPL v3 open source license. Feel free to do with it what you wish, but any modification must be open sourced. A copy of the license is included.
